org.gicentre.utils.network.traer.physics

## Enum Integrator.METHOD

- java.lang.Object
- - java.lang.Enum<Integrator.METHOD>
  - - org.gicentre.utils.network.traer.physics.Integrator.METHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Integrator.METHOD>
  Enclosing class:
    Integrator

      public static enum Integrator.METHOD
      extends java.lang.Enum<Integrator.METHOD>

  Lists the different integration methods that can be produced by the integrator factory.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EULER` Indicates an Euler integration.
    `MODEULER` Indicates a modifed Euler integration.
    `RUNGEKUTTA` Indicates a Runge-Kutta integration.
    `SRUNGEKUTTA` Indicates a Settling Runge-Kutta integration.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Integrator` | `factory(ParticleSystem physics)` Factory capable of generating integrators.
    `static Integrator.METHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Integrator.METHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RUNGEKUTTA

          public static final Integrator.METHOD RUNGEKUTTA

      Indicates a Runge-Kutta integration.

    - #### EULER

          public static final Integrator.METHOD EULER

      Indicates an Euler integration.

    - #### MODEULER

          public static final Integrator.METHOD MODEULER

      Indicates a modifed Euler integration.

    - #### SRUNGEKUTTA

          public static final Integrator.METHOD SRUNGEKUTTA

      Indicates a Settling Runge-Kutta integration.

  - ### Method Detail

    - #### values

          public static Integrator.METHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Integrator.METHOD c : Integrator.METHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Integrator.METHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### factory

          public abstract Integrator factory(ParticleSystem physics)

      Factory capable of generating integrators.
      Parameters:
        `physics` - Particle system within which to apply the integrators.
      Returns:
        Integrator generated by the factory.